﻿Imports System.Text
Imports System.Drawing

Public Class Histogram
    Private rep_histogram() As Long
    Public Sub New()
        'default contructor
    End Sub

    Public Sub New(ByVal bitmap As Bitmap)
        rep_histogram = GenerateHistogram(bitmap)
    End Sub

    Public Shared Function GenerateHistogram(ByVal bitmap As Bitmap) As Long()
        Dim histogram(255) As Long
        For i = 0 To bitmap.Size.Width - 1
            For j = 0 To bitmap.Size.Height - 1
                Dim c As Color = bitmap.GetPixel(i, j)
                Dim tmp As Long = 0
                tmp += c.R
                tmp += c.G
                tmp += c.B

                tmp = CInt(Fix(tmp)) / 3
                histogram(tmp) += 1
            Next j
        Next i
        Return histogram
    End Function
End Class
