﻿Imports System.Text
Imports System.Reflection
Imports System.IO

Public Enum PendingActionResult
    LeavePendingActionInPlace
    ClearPendingAction
End Enum

Public Class MultiModalReactions
    Public Shared Function ActOnMultiModalInput(ByVal eval As Integer) As PendingActionResult
        Select Case eval
            Case 0
                ' 0 represents a non-complete scenario => return
                Return PendingActionResult.LeavePendingActionInPlace
            Case 17
                'button #1  action:PlayAudio
                GeneralActions.Speak("To illustrate the point, I understand you selected button one and intended to play audio.")
            Case 18
                'button #1  action:PlayVideo
                GeneralActions.Speak("To illustrate the point, I understand you selected button one and intended to play video.")
            Case 19
                'button #1  action:PowerPoint
                GeneralActions.Speak("To illustrate the point, I understand you selected button one and intended to open a power point presentation.")
            Case 20
                'button #1  action:Word
                GeneralActions.Speak("To illustrate the point, I understand you selected button one and intended to play audio.")
            Case 21
                'button #1  action:Excel
                GeneralActions.Speak("To illustrate the point, I understand you selected button one and intended to play audio.")
            Case 22
                'button #1  action:Project
                GeneralActions.Speak("To illustrate the point, I understand you selected button one and intended to play audio.")
            Case 23
                'button #1  action:Undefined
                GeneralActions.Speak("To illustrate the point, I understand you selected button one and intended to play audio.")
            Case 33
                'button #2  action:PlayAudio
                GeneralActions.Speak("To illustrate the point, I understand you selected button one and intended to play audio.")
            Case 34
                'button #2  action:PlayVideo
                GeneralActions.Speak("To illustrate the point, I understand you selected button one and intended to play audio.")
            Case 35
                'button #2  action:PowerPoint
                GeneralActions.Speak("To illustrate the point, I understand you selected button one and intended to play audio.")
            Case 36
                'button #2  action:Word
                GeneralActions.Speak("To illustrate the point, I understand you selected button one and intended to play audio.")
            Case 37
                'button #2  action:Excel
                GeneralActions.Speak("To illustrate the point, I understand you selected button one and intended to play audio.")
            Case 38
                'button #2  action:Project
                GeneralActions.Speak("To illustrate the point, I understand you selected button one and intended to play audio.")
            Case 39
                'button #2  action:Undefined
                GeneralActions.Speak("To illustrate the point, I understand you selected button one and intended to play audio.")
            Case 49
                'button #3  action:PlayAudio
                GeneralActions.Speak("To illustrate the point, I understand you selected button three and intended to play audio.")
            Case 50
                'button #3  action:PlayVideo
                GeneralActions.Speak("To illustrate the point, I understand you selected button three and intended to play a video.")
            Case 51
                'button #3  action:PowerPoint
                GeneralActions.Speak("To illustrate the point, I understand you selected button three and intended to open a power point presentation.")
            Case 52
                'button #3  action:Word
                GeneralActions.Speak("To illustrate the point, I understand you selected button three and intended to open a word document.")
            Case 53
                'button #3  action:Excel
                GeneralActions.Speak("To illustrate the point, I understand you selected button three and intended to open a spreadsheet.")
            Case 54
                'button #3  action:Project
                GeneralActions.Speak("To illustrate the point, I understand you selected button three and intended to open a project plan.")
            Case 55
                'button #3  action:Undefined
                GeneralActions.Speak("To illustrate the point, I understand you selected button three and intended to execute the undefined function.")
            Case 65
                'button #4  action:PlayAudio
                GeneralActions.Speak("To illustrate the point, I understand you selected button four and intended to play audio.")
            Case 66
                'button #4 action:PlayVideo
                GeneralActions.Speak("To illustrate the point, I understand you selected button four and intended to play video.")
            Case 67
                'button #4  action:PowerPoint
                GeneralActions.Speak("To illustrate the point, I understand you selected button four and intended to open a power point presentation.")
            Case 68
                'button #4  action:Word
                GeneralActions.Speak("To illustrate the point, I understand you selected button four and intended to open a word document.")
            Case 69
                'button #4  action:Excel
                GeneralActions.Speak("To illustrate the point, I understand you selected button four and intended to open a spreadsheet.")
            Case 70
                'button #4  action:Project
                GeneralActions.Speak("To illustrate the point, I understand you selected button four and intended to open a project plan.")
            Case 71
                'button #4  action:Undefined
                GeneralActions.Speak("To illustrate the point, I understand you selected button four and intended to execute the undefined function.")
            Case 81
                'button #5  action:PlayAudio
                GeneralActions.Speak("To illustrate the point, I understand you selected button five and intended to play audio.")
            Case 82
                'button #5  action:PlayVideo
                GeneralActions.Speak("To illustrate the point, I understand you selected button five and intended to play video.")
            Case 83
                'button #5  action:PowerPoint
                GeneralActions.Speak("To illustrate the point, I understand you selected button five and intended to open a power point presentation.")
            Case 84
                'button #5  action:Word
                GeneralActions.Speak("To illustrate the point, I understand you selected button five and intended to open a word document.")
            Case 85
                'button #5  action:Excel
                GeneralActions.Speak("To illustrate the point, I understand you selected button five and intended to open a spreadsheet.")
            Case 86
                'button #5  action:Project
                GeneralActions.Speak("To illustrate the point, I understand you selected button five and intended to open a project plan.")
            Case 87
                'button #5  action:Undefined
                GeneralActions.Speak("To illustrate the point, I understand you selected button five and intended to execute the undefined function.")
            Case 97
                'button #6  action:PlayAudio
                GeneralActions.Speak("To illustrate the point, I understand you selected button six and intended to play audio.")
            Case 98
                'button #6  action:PlayVideo
                GeneralActions.Speak("To illustrate the point, I understand you selected button six and intended to play video.")
            Case 99
                'button #6  action:PowerPoint
                GeneralActions.Speak("To illustrate the point, I understand you selected button six and intended to open a power point presentation.")
            Case 100
                'button #6  action:Word
                GeneralActions.Speak("To illustrate the point, I understand you selected button six and intended to open a word document.")
            Case 101
                'button #6  action:Excel
                GeneralActions.Speak("To illustrate the point, I understand you selected button six and intended to open a spreadsheet.")
            Case 102
                'button #6  action:Project
                GeneralActions.Speak("To illustrate the point, I understand you selected button six and intended to open a project plan.")
            Case 103
                'button #6  action:Undefined
                GeneralActions.Speak("To illustrate the point, I understand you selected button six and intended to execute the undefined function.")
            Case 113
                'button #7  action:PlayAudio
                GeneralActions.Speak("To illustrate the point, I understand you selected button seven and intended to play audio.")
            Case 114
                'button #7  action:PlayVideo
                GeneralActions.Speak("To illustrate the point, I understand you selected button seven and intended to play video.")
            Case 115
                'button #7  action:PowerPoint
                GeneralActions.Speak("To illustrate the point, I understand you selected button seven and intended to open a power point presentation.")
            Case 116
                'button #7  action:Word
                GeneralActions.Speak("To illustrate the point, I understand you selected button seven and intended to open a word document.")
            Case 117
                'button #7  action:Excel
                GeneralActions.Speak("To illustrate the point, I understand you selected button seven and intended to open a spreadsheet.")
            Case 118
                'button #7  action:Project
                GeneralActions.Speak("To illustrate the point, I understand you selected button seven and intended to open a project plan.")
            Case 119
                'button #7  action:Undefined
                GeneralActions.Speak("To illustrate the point, I understand you selected button seven and intended to execute the undefined function.")
            Case 129
                'button #8  action:PlayAudio
                GeneralActions.Speak("To illustrate the point, I understand you selected button eight and intended to play audio.")
            Case 130
                'button #8  action:PlayVideo
                GeneralActions.Speak("To illustrate the point, I understand you selected button eight and intended to play video.")
            Case 131
                'button #8  action:PowerPoint
                OfficeActions.StartPresentation(GetFilePath("\Resources\Project8\Project Lily.pptx"))
            Case 132
                'button #8  action:Word
                OfficeActions.OpenWordDocument(GetFilePath("\Resources\Project8\Progression of Scenarios.docx"))
            Case 133
                'button #8  action:Excel
                GeneralActions.Speak("To illustrate the point, I understand you selected button eight and intended to open a spreadsheet.")
            Case 134
                'button #8  action:Project
                OfficeActions.OpenProjectPlan(GetFilePath("\Resources\Project8\Project Kinny Plan.mpp"))
            Case 135
                'button #8  action:Undefined
                GeneralActions.Speak("To illustrate the point, I understand you selected button eight and intended to execute the undefined function.")
            Case Else
                GeneralActions.SpeakAsync("Something went wrong evaluating multi modal input.")
        End Select
        'since an action was taken, we can clear the pending action
        'however, the user is still most likely interested in the current context i.e. button clicked => we will leave button selected until something explicitly tells us to change
        Return PendingActionResult.ClearPendingAction
    End Function

    Private Shared Function GetFilePath(ByVal filename As String) As String
        Dim str As New StringBuilder
        str.Append("""")
        str.Append(Path.GetDirectoryName(System.Reflection.Assembly.GetEntryAssembly.Location))
        str.Append(filename)
        str.Append("""")
        Return str.ToString
    End Function
End Class
